Package com.microsoft.sqlserver.jdbc.spatialdatatypes

# Class Segment

java.lang.Object
com.microsoft.sqlserver.jdbc.spatialdatatypes.Segment

public class Segment extends Object
Represents the internal makings of a Segment.

## Constructor Summary

Constructors
Constructor
Description
`Segment(byte segmentType)`
Creates a Segment object

## Method Summary

Modifier and Type
Method
Description
`byte`
`getSegmentType()`
Returns the segmentType value.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Segment

public Segment(byte segmentType)
Creates a Segment object

Parameters:
  `segmentType` - segment type

## Method Details

### getSegmentType

public byte getSegmentType()
Returns the segmentType value.

Returns:
  byte segmentType value.